package com.ym.pojo;

import lombok.Data;

/**
 * Created by weiqinxiao on 2019/3/7.
 */
@Data
public class ReqDeviceControlData {
	private Boolean cameraOn;
	private Boolean microphoneOn;
	private Boolean musicModeOn;
	private Boolean handUpOn;
	private Boolean examSongOn;
	private String roomId;
	private String userId;
	private String ticket;
	private Integer status;
	private Integer examSongId;

	public Boolean getExamSongOn() {
		return examSongOn;
	}

	public void setExamSongOn(Boolean examSongOn) {
		this.examSongOn = examSongOn;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getExamSongId() {
		return examSongId;
	}

	public void setExamSongId(Integer examSongId) {
		this.examSongId = examSongId;
	}

	public Boolean getMusicModeOn() {
		return musicModeOn;
	}

	public Boolean getHandUpOn() {
		return handUpOn;
	}

	public void setHandUpOn(Boolean handUpOn) {
		this.handUpOn = handUpOn;
	}

	public void setMusicModeOn(Boolean musicModeOn) {
		this.musicModeOn = musicModeOn;
	}

	public Boolean getCameraOn() {
		return cameraOn;
	}
	public void setCameraOn(Boolean cameraOn) {
		this.cameraOn = cameraOn;
	}
	public Boolean getMicrophoneOn() {
		return microphoneOn;
	}
	public void setMicrophoneOn(Boolean microphoneOn) {
		this.microphoneOn = microphoneOn;
	}
	public String getRoomId() {
		return roomId;
	}
	public void setRoomId(String roomId) {
		this.roomId = roomId;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getTicket() {
		return ticket;
	}
	public void setTicket(String ticket) {
		this.ticket = ticket;
	}

}
